Skip to main content
POST
Override attestation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
trail_name
string
required
org
string
required

Body

application/json
attestation_name
string
required
Pattern: ^[a-zA-Z0-9\-_,]+$
reason
string
required
new_compliance_status
boolean
required
original_attestation_type
required
Available options:
generic,
junit,
snyk,
pull_request,
jira,
sonar
origin_url
string | null
description
string | null
artifact_fingerprint
string | null
Pattern: ^[a-f0-9]{64}$
target_artifacts
string[] | null
Pattern: ^[a-zA-Z0-9\-_,]+$
git_commit_info
GitCommit · object | null
repo_info
RepoInfoPostInput · object | null
external_urls
External Urls · object | null
annotations
Annotations · object | null
user_data

Response

Successful Response

The response is of type string.

Last modified on June 18, 2026